--- linux-2.5.69/drivers/media/video/zoran_procfs.c.orig	2003-05-23 15:42:18.000000000 -0500
+++ linux-2.5.69/drivers/media/video/zoran_procfs.c	2003-05-23 15:42:40.000000000 -0500
@@ -119,7 +119,10 @@
 		printk(KERN_ERR "%s: write_proc: can not allocate memory\n", zr->name);
 		return -ENOMEM;
 	}
-	memcpy(string, buffer, count);
+	if (copy_from_user(string, buffer, count)) {
+		vfree(string);
+		return -EFAULT;
+	}
 	string[count] = 0;
 	DEBUG2(printk(KERN_INFO "%s: write_proc: name=%s count=%lu data=%x\n", zr->name, file->f_dentry->d_name.name, count, (int) data));
 	ldelim = " \t\n";
